/* -------------------------------------------- Basic  button font */
[class*="vsk-btn"] :where(a, button, .elementor-button),
.elementor-widget-button[class*="vsk-btn"] :where(a, button, a.elementor-button),
a[class*="vsk-btn"],
button[class*="vsk-btn"]{
	font-family: var(--e-global-typography-f6e9431-font-family), Sans-serif!important;
    font-size: var(--e-global-typography-f6e9431-font-size)!important;
    font-weight: var(--e-global-typography-f6e9431-font-weight)!important;
    text-transform: var(--e-global-typography-f6e9431-text-transform)!important;
    font-style: var(--e-global-typography-f6e9431-font-style)!important;
    text-decoration: var(--e-global-typography-f6e9431-text-decoration)!important;
    line-height: var(--e-global-typography-f6e9431-line-height)!important;
    letter-spacing: var(--e-global-typography-f6e9431-letter-spacing)!important;
    word-spacing: var(--e-global-typography-f6e9431-word-spacing)!important;
	text-box-trim: trim-both;
    text-box-edge: cap alphabetic;
}

/* -------------------------------------------- Button primary */
:where(.vsk-btn-primary a
	, a.vsk-btn-primary
	, .vsk-btn-primary button
	, button.vsk-btn-primary){
	position: relative;
    isolation: isolate;
	color: var(--e-global-color-1ca8011)!important;
    background: var(--e-global-color-accent)!important;
    border-width: 1px!important;
    border-style: solid!important;
    border-color: var(--e-global-color-accent)!important;
    border-radius: 100vw!important;
    padding: 1em clamp(1em, calc(.5em + 2vw), 3em) .85em!important;
    box-shadow: none!important;
}

:where(.vsk-btn-primary.white a
	, a.vsk-btn-primary.white
	, .vsk-btn-primary.white button
, button.vsk-btn-primary.white){
	color: var(--e-global-color-text)!important;
    background: var(--e-global-color-1ca8011)!important;
	border-color: var(--e-global-color-1ca8011)!important;
}

:where(.vsk-btn-primary a
	, a.vsk-btn-primary
	, .vsk-btn-primary button
	, button.vsk-btn-primary
):is(:hover, :focus-visible){
    background-color: hsla(from var(--e-global-color-accent) h s calc(l + 10) / 1)!important;
	border-color: hsla(from var(--e-global-color-accent) h s calc(l + 10) / 1)!important;
	color: var(--e-global-color-1ca8011)!important;
}



/* -------------------------------------------- Button secondary */
:where(.vsk-btn-secondary a){
	color: var(--e-global-color-text);
    border-radius: 100vw;
    padding: 1em clamp(1em, calc(.5em + 2vw), 3em) .85em!important;
    backdrop-filter: blur(3px);
    background-color: hsla(from currentColor h s l / .25)!important;
    border: 1px solid currentColor;
}

:where(.vsk-btn-secondary.white a){
	color: var(--e-global-color-1ca8011);
}

:where(.vsk-btn-secondary a
):is(:hover, :focus, :active){
	  color: var(--e-global-color-text);
}


/* -------------------------------------------- Button tertiary */
:where(.vsk-btn-tertiary a, a.vsk-btn-tertiary){
	--_btn-text-color: var(--e-global-color-text);
}
:where(.vsk-btn-tertiary.white a, a.vsk-btn-tertiary.white){
	--_btn-text-color: var(--e-global-color-1ca8011);
}

:where(.vsk-btn-tertiary.underline a, a.vsk-btn-tertiary.underline){
	font-family: var(--e-global-typography-text-font-family), Sans-serif!important;
    font-size: var(--e-global-typography-text-font-size)!important;
    font-weight: var(--e-global-typography-text-font-weight)!important;
    font-style: var(--e-global-typography-text-font-style)!important;
    text-transform: var(--e-global-typography-text-text-transform)!important;
    text-decoration: var(--e-global-typography-text-text-decoration)!important;
    line-height: var(--e-global-typography-text-line-height)!important;
    letter-spacing: var(--e-global-typography-text-letter-spacing)!important;
    word-spacing: var(--e-global-typography-text-word-spacing)!important;
	color: var(--_btn-text-color)!important;
	padding: .2em 0!important;
	background-color: transparent!important;
	border: none!important;
	position: relative;
	line-height: 1em!important;
}

:where(.vsk-btn-tertiary.underline a, a.vsk-btn-tertiary.underline):after{
	content: ''!important;
	position: absolute!important;
	width: 100%!important;
	transform: scaleX(0)!important;
	height: 1px!important;
	bottom: 0!important;
	left: 0!important;
	opacity: 1!important;
	background-color: currentColor!important;
	transition: transform var(--vsk-transition-duration) var(--vsk-transition-ease)!important;
	transform-origin: bottom right!important;
}

:where(.vsk-btn-tertiary.underline a, a.vsk-btn-tertiary.underline
):is(:hover, :focus, :active):after{
	 transform: scaleX(1)!important;
	transform-origin: bottom left!important;
}

/* -------------------------------------------- LiquidGlass Button */
.vsk-btn-liquidglass{
    --_br: 100vw;
	position: relative!important;
	display: flex;
	overflow: hidden;
	cursor: pointer;
	box-shadow: 0 0px 6px rgba(0, 0, 0, 0.2), 0 0 20px rgba(0, 0, 0, 0.1);
	transition: all var(--vsk-transition-duration) var(--vsk-transition-ease);
	padding: 1em clamp(1em, calc(.5em + 2vw), 3em) .85em!important;
	overflow: hidden;
	color: var(--e-global-color-text);
	border-radius: var(--_br);
	border-style: solid;
	border-width: 1px;
	border-color: hsla(from currentColor h s l / 1);
}

.vsk-btn-liquidglass.white{
    color: var(--e-global-color-1ca8011);
}

.vsk-btn-liquidglass__effect{
	position: absolute;
	z-index: 0;
	inset: 0;
	backdrop-filter: blur(3px);
	filter: url(#glass-distortion);
	overflow: hidden;
	isolation: isolate;
	border-radius: var(--_br);
}

.vsk-btn-liquidglass__tint{
	z-index: 1;
	position: absolute;
	inset: 0;
    background: hsla(from currentColor h s l / .05);
	transition: all var(--vsk-transition-duration) var(--vsk-transition-ease);
	border-radius: var(--_br);
}

.vsk-btn-liquidglass__shine{
	position: absolute;
	inset: 0;
	z-index: 2;
	overflow: hidden;
	box-shadow: inset 1px 1px 1px 0 hsla(from currentColor h s l / .3),
		inset 0px 0px 1px 1px  hsla(from currentColor h s l / .5);
	border-radius: var(--_br);
}

.vsk-btn-liquidglass__text{
	display: flex;
	color: currentColor;
	text-align: center;
	width: 100%;
	transition: all var(--vsk-transition-duration) var(--vsk-transition-ease);
	z-index: 3;
}

.vsk-btn-liquidglass:hover .vsk-btn-liquidglass__tint{
	background: hsla(from currentColor h s l / .15)
}

/* Reset */
body.wp-child-theme-voska .vsk-link-inherit a,
body.wp-child-theme-voska a.vsk-link-inherit{
	font-family: inherit!important;
    font-size: inherit!important;
    font-weight: inherit!important;
    text-transform: inherit!important;
    font-style: inherit!important;
    text-decoration: inherit!important;
    line-height: inherit!important;
    letter-spacing: inherit!important;
    word-spacing: inherit!important;
	color: inherit!important;
}
